<%@ page import="com.sas.oprisk.monitor.web.user.actions.*" %>
<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.component.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<%
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   
   ConfidentialUsersChooserModel model = ConfidentialUsersChooserComponent.getModel(request);
%>
<mon:tableComponent
                    entryName="confidentialUsers"
                    id="entry"
                    wizCursor=""
                    exportXlsUrl="<%= model.getExportURL(request) %>">
   <mon:title><fmt:message key="confidentiality.confidentialUsers.title.txt" /></mon:title>
<%
   if (!model.readOnly)
   {
      ConfidentialUserEntry entry = (ConfidentialUserEntry)pageContext.findAttribute("entry");
      User user = (entry == null) ? null : entry.getUser();
%>
   <mon:action href="javascript:ConfidentialUsers.addUser()">
      <fmt:message key='confidentiality.confidentialUsers.addUser.txt'/>
   </mon:action>
   
   <mon:fixedColumn width='1%' title='<%= bundle.getString("application.remove.txt") %>' before="false" >
      <a href="javascript:ConfidentialUsers.deleteUser(<%=user.getUserRk()%>)" ><img
         border="0" src="<fmt:message key='application.remove.image' />"  
         alt="<fmt:message key='application.remove.txt'/>" 
         title="<fmt:message key='application.remove.txt'/>"/>
      </a>
   </mon:fixedColumn>
<%
   }
%>
</mon:tableComponent>