<%@ include file="/tiles/taglibs.jsp"%>

<%
   String action = (String) request.getAttribute("action");
			if (action == null) {
				action = "/InsurancePolicyChooser";
			}

			boolean showDoneButton = "true".equals((String) request
					.getParameter("showDoneButton"));
%>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
      function clearSelection() {
         if (window.opener && !window.opener.closed) {
            var methodName = 'set_' + '<%= StringUtil.escapeJSForHTML(request.getParameter("policyProperty"))%>';
            window.opener[methodName]("", "");
         }
         window.close();
      }
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="<%= action %>">
         <mon:ToolBar>

         </mon:ToolBar>

         <mon:Content>
            <input type="hidden" name="policyProperty"
               value="<c:out value='${param.policyProperty}'/>" />
            <c:if test="${not empty param.method}">
               <input type="hidden" name="method"
                  value="<c:out value='${param.method}'/>" />
            </c:if>
            <c:if test="${not empty param.beginDate}">
               <input type="hidden" name="beginDate"
                  value="<c:out value='${param.beginDate}'/>" />
            </c:if>
            <c:if test="${not empty param.endDate}">
               <input type="hidden" name="endDate"
                  value="<c:out value='${param.endDate}'/>" />
            </c:if>
            <c:if test="${not empty param.showDoneButton}">
               <input type="hidden" name="showDoneButton"
                  value="<c:out value='${param.showDoneButton}'/>" />
            </c:if>

            <mon:tableComponent />
         </mon:Content>
         <mon:PopupButtonBar>
            <%
               if (!showDoneButton) {
            %>
            <mon:Button name="cancelButton" onclick="window.close()">
               <fmt:message key='application.cancel.txt' />
            </mon:Button>            
            <mon:Button name="clearButton" onclick="clearSelection()">
               <fmt:message key='calendar.clear.txt' />
            </mon:Button>
            <%
               } else {
            %>
            <mon:Button name="doneButton" onclick="window.close()">
               <fmt:message key='application.button.done.txt'/>
            </mon:Button>  
            <% } %>
         </mon:PopupButtonBar>
      </html:form>
   </mon:Body>
</mon:Page>

