<%@ include file="/tiles/taglibs.jsp" %>

<%
	String action = (String)request.getAttribute("action");
	if (action == null) {
		action = "/UserQuery";
	}
%>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
      function clearSelection() {
         if (window.opener && !window.opener.closed) {
            var methodName = 'set_' + '<%= StringUtil.escapeJSForHTML(request.getParameter("userProperty"))%>';
            window.opener[methodName]("", "");
         }
         window.close();
      }
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="<%= action %>">             
         <mon:Content>
            <c:if test="${not empty param.userProperty}">
            <input type="hidden" name="userProperty" value="<c:out value='${param.userProperty}'/>"/>
            </c:if>
            <c:if test="${not empty param.method}">
            <input type="hidden" name="method" value="<c:out value='${param.method}'/>"/>
            </c:if>
            <c:if test="${not empty param.area}">
            <input type="hidden" name="area" value="<c:out value='${param.area}'/>"/>
            </c:if>
            <c:if test="${not empty param.relation}">
            <input type="hidden" name="relation" value="<c:out value='${param.relation}'/>"/>
            </c:if>
            
            <% if (request.getParameter("showSuperUsers") != null) { %>
               <input type="hidden" name="showSuperUsers" value="<%= StringUtil.escapeHTML(request.getParameter("showSuperUsers")) %>"/>
            <% } %>
            
            <c:forEach items="${TCAdditionalAttributes}" var="item">
              <c:if test="${item.key != 'action'}" >
               <input type="hidden" name="<c:out value='${item.key}'/>" value="<c:out value='${item.value}'/>"/>
              </c:if>
            </c:forEach>
            
            <mon:tableComponent id="userChooserTable"/>
         </mon:Content>  
         
         <mon:PopupButtonBar>
            <mon:Button name="cancel" onclick="window.close()">
               <fmt:message key='application.cancel.txt' />
            </mon:Button>

            <c:if test="${(empty allowClear) or allowClear}">
               <mon:Button name="clear" onclick="clearSelection()">
                  <fmt:message key='calendar.clear.txt' />
               </mon:Button>
            </c:if>
         </mon:PopupButtonBar> 
      </html:form>      
   </mon:Body>
</mon:Page>