<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="com.sas.solutions.cpb.runtime.*" %><%@ 
    page import="com.sas.solutions.cpb.web.tag.field.*" %><%@ 
    page import="com.sas.solutions.cpb.screendefs.*" %><%@ 
    page import="com.sas.solutions.cpb.web.util.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.component.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.financialimpact.actions.FinancialImpactFormPageModel" %><%@ 
    page import="com.sas.oprisk.server.cpb.uiDefType.*"  %><%@
    page import="com.sas.oprisk.server.web.cpb.runtime.*" %>

<%-- Page refresh method to be called by popups --%>
<!--<script type="text/javascript">-->
<!--function popupCloser_refresh() {-->
<!--	alert("popupCloser_refresh");-->
<!--	document.forms.<c:out value="${model.formName}" />.action = -->
<!--           "<%= request.getContextPath()+"/" %>" + "InsuranceRecovery.do?method=refresh"-->
<!--           + popupAnchor;-->
<!--	document.forms.<c:out value="${model.formName}" />.submit();-->
<!--}-->
<!--</script>-->

<%
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   
   final Field field = componentInfo.getField();
   final InsurancePolicy ip = (InsurancePolicy)uiContext.getValue(field.getName());
   final String ipHandle = ip == null ? null : ip.getHandleString();
   
   String impactHandle = null;
   if (uiContext != null) {
      if (InsuranceRecoveryAmountUIDefinitionType.TYPE_NAME.equals(uiContext.getUIDefinitionType().getName())) {
         impactHandle = (String) uiContext.getValue(InsuranceRecoveryAmountUIDefinitionType.FIELD_FINANCIAL_IMPACT);
      } else if (InsuranceRecoveryUIDefinitionType.TYPE_NAME.equals(uiContext.getUIDefinitionType().getName())) {
         impactHandle = (String) uiContext.getValue("handle");
      }
   }
   
%> 

<%@ include file="/layout/ModalScriptIncludes.jsp" %>

<mon:InsurancePolicyChooser 
   property="insurancePolicy"
   handle="<%= ipHandle %>"
   impactHandle="<%= impactHandle %>"
   readOnly="<%= componentInfo.isReadOnly() %>"/>

   