<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.*" %>
<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="com.sas.oprisk.server.workflow.WorkflowUtil" %>
      
<%
   final Locale locale = request.getLocale();
   final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final User currentUser = (User) psession.getUser();
   final boolean skipAccept = ConfigDataProperties.getSkipIncidentAccept().booleanValue() || (WorkflowUtil.isIncidentWorkflowConfigured() && WorkflowUtil.skipAccept(OpRiskEvent.object));
   final boolean canInvestigateIncident= OpRiskEvent.object.canSomewhere(currentUser, Do.INVESTIGATE, psession);
   final boolean canCreateIncident= OpRiskEvent.object.canSomewhere(currentUser, Do.CREATE, psession);
   boolean canDeleteIncident   = SecurityUtils.canDoSomewhere(Do.DELETE, OpRiskEvent.object, psession);
%>

<mon:Page template="default">
   <mon:Head>
      <script type="text/javascript">
      
      <%--
      function doIncidentWizard(method, handle) {
         document.forms.queryForm.action = "<%= request.getContextPath() %>/IncidentWizard.do"
               + "?method=" + method
               + "&handle=" + handle;
         document.forms.queryForm.submit();
      }
      
      function doIncident(method, handle) {
         document.forms.queryForm.action = "<%= request.getContextPath() %>/Incident.do"
               + "?method=" + method
               + "&handle=" + handle;
         document.forms.queryForm.submit();
      }
      function showContextMenu(handle) {
         var menu = new TableMenu();
         menu.addMenuItem(
            new MenuItem(MenuItem.prototype.action,
               "<%= request.getContextPath() %>/" + "<fmt:message key='incident.view.image'/>", 
               "<fmt:message key='incident.button.view.txt'/>", 
          "javascript:doIncident('select', '" + handle + "')", 
               true));
         menu.addMenuItem(new MenuItem(MenuItem.prototype.separator));
         menu.addMenuItem(
            new MenuItem(MenuItem.prototype.action,
               "<%= request.getContextPath() %>/" + "<fmt:message key='incident.investigate.image'/>", 
               "<fmt:message key='incident.button.investigate.txt'/>", 
          "javascript:doIncidentWizard('editIncident', '" + handle + "')", 
               true));
         menu.render();
         return false;
      }
      
      function showContextMenu(handle) {
         var menu = new TableMenu();
         menu.addMenuItem(
               new MenuItem(MenuItem.prototype.action,
               "<%= request.getContextPath() %>/" + "<fmt:message key='application.delete.image'/>", 
               "<fmt:message key='application.delete.txt'/>", 
               "javascript:doIncident('delete', '" + handle + "')", 
               <%= canDeleteIncident %>));
         menu.render();
         return false;
      }
      --%>
      
      function createIncident(skipAccept){
         if (skipAccept){
            document.forms.queryForm.action = "<%= request.getContextPath() %>" + "/IncidentWizard.do?method=createIncident";
         }
         else {
            document.forms.queryForm.action = "<%= request.getContextPath() %>" + "/NewIncident.do?method=create";
         }
         document.forms.queryForm.submit();
      }
      
      function doIncident(method, handle) {
         document.forms.queryForm.action = "<%= request.getContextPath() %>/NewIncident.do"
               + "?method=" + method
               + "&handle=" + handle;
         document.forms.queryForm.submit();
      }
      
      
      function showContextMenu(handle) {
         var menu = new TableMenu();
         menu.addMenuItem(
               new MenuItem(MenuItem.prototype.action,
                   "<%= request.getContextPath() %>/" + "<fmt:message key='application.createNew.image'/>", 
                   "<fmt:message key='application.createNewFrom.tooltip.txt'/>", 
                   "javascript:doActionCreateNewFrom('" + handle + "')"  
                   ));
         menu.render();
         return false;
      }
      function doActionCreateNewFrom(handle) {
         beginWait();
         var f = getForm();
         f.action = "<%= request.getContextPath() %>/NewIncident.do"
            + "?method=" + 'createNewFrom'
            + "&copyFromHandle=" + handle;
         f.submit();
      }
      function getForm() {
         return document.forms.queryForm;
      }  
      
      </script>
      
   </mon:Head>
   <mon:Body>      
      <html:form action="/IncidentQuery">      
         <mon:ToolBar>
            <% if (skipAccept && canCreateIncident && canInvestigateIncident) { %>
               <a class="toolBarAction" href="#" onclick='createIncident(true); return false;'><fmt:message key='incident.button.create.txt'/></a>
            <% } else if (canCreateIncident) { %>
               <a class="toolBarAction" href="#" onclick='javscript:createIncident(false); return false;'><fmt:message key='incident.button.create.txt'/></a>
            <% } %>
            <mon:SavedView />
         </mon:ToolBar>
         
         <mon:Content>
            <mon:tableComponent id="incident" disableTableActions="true" >
            
               <%
               
                    if (canCreateIncident) { 
                %>
                  <mon:fixedColumn title='<%= bundle.getString("displayTable.actions.txt") %>' width="1%">
                     &nbsp;
                     <a href="#" onclick="return showContextMenu('<c:out value='${incident.handleString}'/>')">
                     <img border="0"
                        src="<%= request.getContextPath() %>/<fmt:message key='application.showActionsButton.row.image'/>" 
                        alt="<fmt:message key='application.rowActions.tooltip.txt'/>"
                        title="<fmt:message key='application.rowActions.tooltip.txt'/>"
                     />
                     </a>
                     &nbsp;
                  </mon:fixedColumn>
               <%    }  %>
               <%--
               <mon:fixedColumn before="false" title='New Edit' >
                    <a href="javascript:doIncidentWizard('newEditIncident', '<c:out value='${incident.handle}'/>')">Edit</a>
               </mon:fixedColumn>               
               
               <mon:fixedColumn title='<%= bundle.getString("displayTable.actions.txt") %>' width="1%">
                  &nbsp;
                  <a href="#" onclick="return showContextMenu('<c:out value='${incident.handleString}'/>')">
                     <img border="0"
                        src="<%= request.getContextPath() %>/<fmt:message key='application.showActionsButton.row.image'/>" 
                        alt="<fmt:message key='application.rowActions.tooltip.txt'/>"
                        title="<fmt:message key='application.rowActions.tooltip.txt'/>"
                     />
                  </a>
                  &nbsp;
               </mon:fixedColumn>
               --%>
                           
            </mon:tableComponent>
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>