<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="org.apache.struts.util.LabelValueBean" %>

<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.assessment.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel.AssessedItemContext" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.ClusterTree" %>
<%@ page import="com.sas.oprisk.server.logical.CsaQuestion" %>
<%@ page import="com.sas.oprisk.server.DimensionalPoint" %>
<%@ page import="org.apache.struts.util.LabelValueBean" %>

<%
     final Locale locale = request.getLocale();
     final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
     final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
     LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
     
     final QuestionnaireTemplateCpbModel model = 
        (QuestionnaireTemplateCpbModel) request.getAttribute("model");
      
     final ClusterTree testCluster = 
        (ClusterTree) request.getAttribute("testCluster");
%>
      <script type="text/javascript">

      function displayHelp(obj, id) {
      
         var helpText = document.getElementById("" + id + "");
         if (helpText.style.display == 'none') {
            helpText.style.display = 'block';
         } else {
            helpText.style.display = 'none';
         }
      }
      
      function selectQuestions() {
      
         var url = "<%= request.getContextPath() %>" 
            + "/QuestionGroupChooser2.do?handle=" 
            + document.forms[0].handle.value
            + "&pi=" 
            + document.forms[0].currentPrimaryItemIndex.value;
         openModal(
            "<%= request.getContextPath() %>" 
               + "/QuestionGroupChooser2.do?handle=" 
               + document.forms[0].handle.value
               + "&pi=" 
               + document.forms[0].currentPrimaryItemIndex.value,
            "groupChooserPopup", 
            "width=680,height=480,scrollbars,resizable,status");
      }
      
      function popupCloser_refresh() {
         goWizard('jumpItem');
      }
      
      <%-- overridden from wizardLayout.jsp --%>
      function disableWhenReadOnly(element) {
         if (element.name == "jumpPrimaryItemIndex" ||
             element.name == "goJump") {
             return false;
         }
         return true;
      }
      
      </script>

            <!-- <html:hidden property="handle" /> -->
              <input type="hidden" name="currentPrimaryItemIndex" 
                 value="<c:out value='${currentPrimaryItemIndex}'/>"/>
           
             <!-- Preview -->
         <%
             if (request.getAttribute("primaryItems") != null) {
         %>
             <table width="100%" cellspacing="0" border="0">
             <tr>
         
             <td style="vertical-align:middle">
                <fmt:message key="Questionnaire.assessedItems.txt" />: 
                <html:select property="jumpPrimaryItemIndex">
                  <html:options 
                     name="request"
                     collection="primaryItems"
                     labelProperty="value" 
                     property="label" />
                </html:select>&nbsp;
                <input type="button" class="button" name="goJump"
                   onmouseover="this.className='button buttonRollover'"
                   onmouseout="this.className='button'"
                   value="&nbsp;<fmt:message key='goButton.txt' />&nbsp;" 
                   onclick="goWizard('jumpItem')" />
             </td>
             </tr>
             <tr>
             <td align="<%=layoutDirection.getRight()%>">
                <div class="sectionheaderbuttons">
                  <c:if test="${model.itemIndex > 0}">
                     <a href="javascript:goWizard('previousItem');"
                     ></c:if><fmt:message key="application.previous.txt" /><c:if 
                        test="${model.itemIndex > 0}"></a></c:if>
         <%          final String pagination =
                        MessageFormat.format(bundle.getString("application.page.fmt.txt"),
                          new Object[] {
                             new Integer(model.getItemIndex() + 1),
                             new Integer(model.getItemCount()) });
                     out.print("&nbsp;[" + pagination + "]&nbsp;");
         %>       
                  <c:if test="${model.itemIndex < model.itemCount - 1}"><a href="javascript:goWizard('nextItem');"
                  ></c:if><fmt:message key="application.next.txt" /><c:if 
                     test="${model.itemIndex < model.itemCount - 1}"></a></c:if>
               </div>   <!-- sectionheaderbutton -->
                
             </td></tr>
             </table>
            
             <p/>
             
             <table class="borderedTable" cellspacing="0" cellpadding="3" border="0">
             
         <%
             for (final Iterator cti = testCluster.iterator(); cti.hasNext(); ) {
             
               // current node type
               final ClusterTree node = (ClusterTree) cti.next();
               
               if (node != null) {
         
                    // level tracking
                  final Integer nestedLevel = new Integer(node.nestedLevel);
                  int level = nestedLevel.intValue();
                  if (level == 1) { %>
                     <tr>
                        <td style="padding-<%=layoutDirection.getLeft()%>:<%= (level * 10) %>px" valign="top" class="sectionheader">
                           <table width="100%" cellpadding="0" cellspacing="0">
                              <tr>
                                 <td><%= StringUtil.escapeHTML(node) %></td>
                                 <td>&nbsp;</td>
                                 <td style="white-space: nowrap; text-align: <%=layoutDirection.getRight()%>;">
                                    <c:if test="${not readOnly}" >
                                       <a href="javascript:selectQuestions();"
                                          ><fmt:message key="QuestionnaireTemplateWizard.button.selectQuestionGroups.txt"/></a>&nbsp;
                                    </c:if>
                                 </td>
                              </tr>
                           </table>
                  <% }
                    else if (level > 3)  { 
         %>             <tr class="odd">
         <%          } else {
                     %><tr><%
                  }
                  
                  if (level > 1) {
         
                            final Object obj = node.getObject();
                            if (obj instanceof AssessmentQuestionGroup) {
                              AssessmentQuestionGroup group = (AssessmentQuestionGroup)obj; 
                              pageContext.setAttribute("hasGroups", Boolean.TRUE);
         %>                     <td style="padding-<%=layoutDirection.getLeft()%>:<%= (level * 10) %>px;" valign="top">
                                <mon:questionGroup questionGroup="<%= group %>" showResponses="false" />
         <%                  
                             } else if (obj instanceof RCSAGeneralModel.AssessedItemContext) {
                                final RCSAGeneralModel.AssessedItemContext ac = 
                                   (RCSAGeneralModel.AssessedItemContext) obj;
                                if (ac.getSize() > 0) {
         
         %>                     <td style="padding-<%=layoutDirection.getLeft()%>:<%= (level * 10) - 10 %>px;" valign="top"><br/>
                                <table width="100%" class="contextBox" cellspacing="0">
                                <tr><th>
                                <fmt:message key="Questionnaire.context.txt"/>:&nbsp;&nbsp;
                                <c:if test="${not readOnly}" >
         <%                     if (ac.getSize() > 1) {
         %>                        <a href="javascript:goWizard('split');"><fmt:message key="splitButton.txt"/></a>
                                    &nbsp;|&nbsp;
         <%                     }
                                if (ac.getSize() > 0) {
         %>                        <a href="javascript:goWizard('merge');"><fmt:message key="regroupButton.txt"/></a>
         <%                     }
         %>                     
                                </c:if>
                                </th></tr>
         <%
                                   for (final Iterator ci = ac.getContextPaths(); ci.hasNext(); ) {
                                      final LabelValueBean bean = (LabelValueBean) ci.next();
         %>                           <tr><td><c:if test="${not readOnly}" ><input type="checkbox" name="contextPath" value="<%= StringUtil.escapeHTML(bean.getValue()) %>" /></c:if>
                                 <%= StringUtil.escapeHTML(bean.getLabel()) %></td></tr>
         <%
                                   }
         %>                     
                                </table><br/>
         <%                     }
                             } else {
         %>
                               <td style="padding-<%=layoutDirection.getLeft()%>:<%= (level * 10) %>px" valign="top">
         <%                    out.print(StringUtil.escapeHTML(node) + "<br/>");
                        }
         %>
                      </td>
                   </tr>
         <%
                   }
               }
             }
         %>
            <c:if test="${!hasGroups}">
               <tr><td class="sectionbody">&nbsp;
                  <img src="<fmt:message key="application.warningsmall.image" />" align="absmiddle" />
                  <span><fmt:message key="QuestionnaireTemplateWizard.noQuestionGroups.txt" /></span>  
               </td></tr>
            </c:if>
            
            </table>
         <% 
             } else {
         %>

               <p><fmt:message key="displayTable.empty.fmt.txt" /></p>
         
         <% 
             }
         %>
         