<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.assessment.*" %>
<%@ page import="com.sas.solutions.cpb.web.util.RequestUtil" %>
<%@ page import="com.sas.solutions.cpb.web.util.CPBUtil" %>

<%@ include file="/tiles/taglibs.jsp" %>

<%
   //QuestionnaireAssessmentModel model = QuestionnaireAssessmentAction.getModel(request);
   QuestionnaireAssessmentModel model = QuestionnaireAssessmentModel.getInstance(request);
   boolean readOnly = model != null ? model.isReadOnly() : true;
   boolean isFresh = model != null ? model.isFresh() : false;
   PersistenceSession psession = MonitorContext.getPersistenceSession(request);
	Locale locale = request.getLocale();
	ResourceBundle bundle = ApplicationProperties.getBundle(locale);
%>

   <script type="text/javascript">
   function previewTemplate(handle) {
      //goWizard("previewTemplate&templateHandle=" + handle, "previous");
      //goTemplate("previewTemplate", handle);
      /*
      openModal("QuestionnaireTemplate.do?method=preview" +
            "&handle=" + handle +
            "&popup=true");
      */
      openModal("QuestionnaireAssessment.do?method=previewTemplate" +
            "&templateHandle=" + handle +
            "&popup=true");
   }
   
   function goTemplate(method, handle) {
      beginWait();
      var f = getForm();
      f.action = "<%=request.getContextPath()%>/QuestionnaireAssessment.do"
         + "?method=" + method
         + "&templateHandle=" + handle;
      f.submit();
   }
   function getForm() {
      return document.forms.questionnaireAsmtForm;
   }
   
   function templateSelected(handle) {
      goTemplate('positions', handle);
   }
   
   </script>
   
<%
if (isFresh)
{
%>
<mon:table scrollHeight="200px" class="displayTable" cellspacing="0" name="templates" id="template">
    <mon:title>
    <%
       CPBUtil.writeSectionIndicators(
          "templateId",
          true,
          RequestUtil.isFieldValueInvalid("template", pageContext),
          request.getLocale(),
          pageContext);
       %>
       <fmt:message key="RCSAGeneral.step.questionnaires.txt"/> 
       
   </mon:title>
<%
      final QuestionnaireTemplate t = (QuestionnaireTemplate) template;
%>      
      <display:column width='20'>
<%      
      final String tHandle = t.getHandleString();
%>       
         <html:radio property="template" onclick="javascript:templateSelected('${template.handleString}');" value="<%= tHandle %>" />
      </display:column>
      
      <display:column property="templateId"
         title='<%= bundle.getString("application.id.txt") %>'/>
  
      <display:column title='<%= bundle.getString("structuredBusinessObjectLocalization.field.nameTxt.displayName.txt") %>'>
         <c:if test="${not empty template}">
            <%= StringUtil.escapeHTML(t.getName(psession)) %>
         </c:if>
      </display:column>

      <display:column title='<%= bundle.getString("structuredBusinessObjectLocalization.field.descTxt.displayName.txt") %>'>
         <c:if test="${not empty template}">
            <%= (t.getDescription(psession) == null) ? "" : StringUtil.escapeHTML(t.getDescription(psession)) %>
         </c:if>
      </display:column>

      <display:column title='<%= bundle.getString("questionnaireTemplate.field.sourceSystemCd.displayName.txt") %>'>
<%
      if (t.getSourceSystemCd() != null) {
         out.println(StringUtil.escapeHTML(MonitorContext.getMonitorContext(request).
            getSourceSystemDescription(t.getSourceSystemCd(), locale, psession)));
      }
%>       
      </display:column>
       
      <display:column width="1%" title='<%= bundle.getString("application.preview.txt") %>' align="center" headerClass="nwc">
         <a href="javascript:previewTemplate('<c:out value='${template.handleString}'/>')">
            <img border="0" src="<fmt:message key='application.preview.image'/>" /></a>
      </display:column>
</mon:table>
<%-- ensure a template is selected --%>
<input type="hidden" name="template" value="" />
<%
}
else
{
   // We are editing existing assessment. Cannot change template.
   final QuestionnaireTemplate t = model != null ? model.getTemplate(psession) : null;
   request.setAttribute("template", t);
   
   if (t != null)
   {
%>
<table>
   <tr>
      <th class="fieldlabel">
         <fmt:message key="questionnaireTemplate.field.templateId.displayName.txt" />:
      </th>
      <td class="field">
         <c:out value="${template.templateId}" />
      </td>
   </tr>
   <tr>
      <th class="fieldlabel">
         <fmt:message key="structuredBusinessObjectLocalization.field.nameTxt.displayName.txt" />:
      </th>
      <td class="field">
         <%= StringUtil.escapeHTML(t.getName(psession)) %>
      </td>
   </tr>
   <tr>
      <th class="fieldlabel">
         <fmt:message key="structuredBusinessObjectLocalization.field.descTxt.displayName.txt" />:
      </th>
      <td class="field">
<%
      final String descr = t.getDescription(psession);
      if (descr != null) {
         out.print(StringUtil.escapeHTML(descr));
      }
%>         
      </td>
   </tr>
   <tr>
      <th class="fieldlabel">
         <fmt:message key="questionnaireTemplate.field.sourceSystemCd.displayName.txt" />:
      </th>
      <td class="field">
<%
      if (t.getSourceSystemCd() != null) {
         out.print(StringUtil.escapeHTML(MonitorContext.getMonitorContext(request).
            getSourceSystemDescription(t.getSourceSystemCd(), locale, psession)));
      }
%>       
      </td>
   </tr>
   <tr>
      <th class="fieldlabel">
         <fmt:message key="ora.riskArea.title.txt" />:
      </th>
      <td class="field">
         <%= t.getLocation(psession).formatHtml(psession) %>
      </td>
   </tr>
</table>
<%
   }
   else
   {
%>
   <fmt:message key="AssessmentWizard.noTemplate.txt" /> 
<%
   }
}
%>
