<%@page import="com.sas.oprisk.monitor.web.servlet.BusinessObjectDirectiveServlet"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.TreeSet"%>
<%@page import="java.util.TreeMap"%>
<%@page import="com.sas.oprisk.server.Delegation"%>
<%@page import="java.util.Set"%>
<%@page import="com.sas.oprisk.server.util.DelegationUtils"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.Collection"%>
<%@page import="java.util.Comparator"%>
<%@page import="java.util.Collections"%>
<%@page import="com.ibm.icu.text.Collator"%>
<%@page import="com.sas.oprisk.framework.server.services.FrameworkServiceLocator"%>
<%@page import="java.util.Locale"%>
<%@ include file="/tiles/taglibs.jsp" %>

<%
   String redirectUri=(String)MonitorSession.getMonitorSession(request).getAttribute(BusinessObjectDirectiveServlet.IMPERSONATION_REDIRECT);
   if(redirectUri==null){
      redirectUri=request.getParameter("redirectUri");//reload of page due to a validation error, dig the redirect Uri from the hidden input field that was posted.
   }
   MonitorSession.getMonitorSession(request).setAttribute(BusinessObjectDirectiveServlet.IMPERSONATION_REDIRECT,null);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final Locale locale=psession.getLocale();
   final Collator collator = FrameworkServiceLocator.getCollator(locale);
   Comparator<Delegation> comparator=new Comparator<Delegation>(){
      public int compare(Delegation d1,Delegation d2){return collator.compare(d1.getDelegatorName(),d2.getDelegatorName());}
   };
   final ArrayList<Delegation> impersonationList=new ArrayList<Delegation>(DelegationUtils.getActiveImpersonations(psession));
   Iterator<Delegation> iter=impersonationList.iterator();
   while(iter.hasNext())
      if(!iter.next().isDelegatorActive())
         iter.remove();
   Collections.sort(impersonationList,comparator);
   TreeSet<Delegation> impersonations=new TreeSet<Delegation>(comparator);//remove any duplicate delegator entries.edge case.
   impersonations.addAll(impersonationList);
%>
<mon:Page template="innerpopup">
   <mon:Head>
      <script>
      function doOk(button) {
         var f = document.forms[0];
         f.submit();
      }
      function doCancel(){
         window.parent.IFrameDialog.hide();
      }
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="ManageDelegations.do?method=pickImpersonation">
      
         <mon:Content>
         	<input type="hidden" name="redirectUri" value="<%=redirectUri%>" />
            <div><fmt:message key='delegation.picker.instruction.txt'/></div>
            <span><fmt:message key='delegation.picker.dropdown.txt'/></span>
            <select name="delegationHandle">
               <option value=""><fmt:message key='delegation.manage.delegations.myself.txt'/></option>
               <%for(Delegation impersonation:impersonations){%>
                  <option value="<%= StringUtil.escapeHTML(impersonation.getId())%>"><%=StringUtil.escapeHTML(impersonation.getDelegatorName())%></option>
               <%}%>
            </select>
         </mon:Content>   
         
         <mon:PopupButtonBar>
            <mon:Button name="ok" onclick="doOk()">
               <fmt:message key='application.ok.txt' />
            </mon:Button>
            <mon:Button name="cancel" onclick="doCancel()">
               <fmt:message key='application.cancel.txt' />
            </mon:Button>
         </mon:PopupButtonBar>
      </html:form>      
   </mon:Body>
</mon:Page>
