<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.oprisk.monitor.web.table.QueryTableSummaryObject" %>
<%@ page import="com.sas.oprisk.monitor.web.incident.IncidentWizardForm" %>
<%@ page import="com.sas.oprisk.server.workflow.WorkflowUtil" %>

<%

/*   final String searchKey  = ParsingUtils.escape(request.getParameter("searchKey"));
   final String searchType = request.getParameter("searchType");
   final String exportUrl  = request.getContextPath() + "/GlobalSearchQuery.do?searchKey=" + searchKey + "&searchType=" + searchType + "&entryId=globalSearch";*/
   
   final java.util.Locale locale = request.getLocale();
   final java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   String selColTitle = "<input type=\"checkbox\" name=\"selectAll\" title=\"" 
      + bundle.getString("application.selectAll.tooltip.txt") + "\" checked/>";
   IncidentWizardForm iwf = (IncidentWizardForm)request.getAttribute("incidentWizardForm");
   String workflowAction = iwf.getWorkflowAction();
   String workflowActionKey =iwf.getWorkflowActionKey();
   String exportUrl = request.getContextPath() + "/ValidationSelectionQuery.do?opRiskEventHandle=" + StringUtil.encodeURLValue(iwf.getHandle()) + "&entryId=validationSelection";
   boolean isWorkflowConfigured = WorkflowUtil.isIncidentWorkflowConfigured();
   
 %>
 
 <mon:Page template="details">
   <mon:Head>
      <mon:include js="/script/checkboxRadioUtil.js" />
      <script type="text/javascript">
         function setSelectedValueFromChoice(select)
         {
            var label = "";
            if (select.selectedIndex != 0) {
               label = select.options[select.selectedIndex].text;
            }
            //setSelectedValue(select.value, label);
         }

         function getSelectedChoices(form, checkName, name) {
            var selValues = new Array();
            var size = 0;
            var checkboxes = getCheckboxArray(form, checkName);
            var choices = getFormElementArray(form, name);
            var chkBoxesCount = checkboxes.length;
            
            for (var i = 0; i < checkboxes.length; i++) {
               if (checkboxes[i].checked) {
                  var select = choices[i];
                  selValues[size++] = select.value;
                  //alert("choice" + i + " = " + select.value);
               }
            }
            
            return selValues;
         }

         function doSelect() {
            lockCommandButtons(); beginWait(); 

            <% if (isWorkflowConfigured) { %>
            var choices = getSelectedChoices(document.forms[0], "vsHandle", "choice");
            //alert("choices = " + choices);
            var actions = (choices.length == 0) ? null : choices;
            if (actions == null) {
               alert("<fmt:message key='AssessmentWizard.error.noSelections.txt'/>");
            } else {
               document.forms[0].selectedActions.value = actions;
            }
            <% } %>

            var values = getSelectedCheckboxValues(document.forms[0], "vsHandle");
            var selections = (values.length == 0) ? null : values;
            //alert(selections);
            if (selections == null) {
               alert("<fmt:message key='AssessmentWizard.error.noSelections.txt'/>");
            } else {
               document.forms[0].selectedHandles.value = selections;
               var f = document.forms.incidentWizardForm;
               f.action += "?method=<%= StringUtil.encodeURLValue(workflowAction) %>1";
               f.submit();      
            }
         }
         
         function clickThru(tpHandle) {
           var f = document.forms.incidentWizardForm;
           var sIndex = tpHandle.indexOf("<%= TaggedPointerHandle.HANDLE_SEPARATOR %>");
           var objectType = tpHandle.substring(0, sIndex);
           var handle = tpHandle.substring(sIndex+1);
           //alert(handle);
           //var url = '/ViewObject.do?objectType=' + objectType +  '&objectHandle=' + handle;
           var url = '/IncidentWizard.do?method=clickThru&objectType=' + encodeURIComponent(objectType) 
                     + '&objectHandle=' + encodeURIComponent(handle)
                     + '&doneAsClose=true' 
                     + '&handle=<%= StringUtil.encodeURLValue(iwf.getHandle()) %>'
                     + '&incidentTypeCd=<%= StringUtil.encodeURLValue(iwf.getIncidentTypeCd()) %>';
           
           openModal(
            "<%= request.getContextPath() %>" +url,
            "validationSelectionPopup", "width=640,height=570,scrollbars,resizable");
         }
            
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/IncidentWizard">      
         <mon:ToolBar>
            <mon:Button name="okButton" onclick="doSelect()">
               <fmt:message key='okButton.txt' />
            </mon:Button>
            <mon:Button name="cancelButton" onclick="lockCommandButtons(); beginWait(); breadcrumb(undefined, 1)">
               <fmt:message key='cancelButton.txt' />
            </mon:Button>
         </mon:ToolBar>
         
         <mon:Content>
            <P><P>
<h2><fmt:message key='<%=workflowActionKey%>'/></h2>
<P><P>
<html:hidden property="handle" />
   <html:hidden property="selectedHandles" />
   <html:hidden property="selectedActions" />
   <html:hidden property="workflowAction" />
   <html:hidden property="workflowActionKey" />
   <mon:tableComponent id="vsEntry" entryName="validationSelection" exportXlsUrl="<%= exportUrl %>" wizCursor="commonValidationSelection">
       <mon:title><fmt:message key='IncidentWizard.validation.selection.txt'/></mon:title>
       <mon:fixedColumn width="10" title="<%= selColTitle %>">
        <input type="checkbox" name="vsHandle" value="<c:out value="${vsEntry.handleString}${vsEntry.objType}" />" ${vsEntry.isSelected}/>
       </mon:fixedColumn>
       
       <% if (isWorkflowConfigured) { %>
          <mon:fixedColumn before="false" title='<%= bundle.getString("IncidentWizard.validation.selection.workflow.activity.txt") %>'>
            <c:out value='${vsEntry.activity}' />
          </mon:fixedColumn>
   
          <mon:fixedColumn before="false" title='<%= bundle.getString("application.nextAction.txt") %>'>
               <select id="nextAction_id" name="choice" size="1" onchange="setSelectedValueFromChoice(this)">
                  <c:forEach var="status" items="${vsEntry.statuses}" >
                     <option value="<c:out value='${status.statusId} ${status.activityId} ${status.actionId}' />">
                        <c:out value='${status.name}' />
                     </option>
                  </c:forEach>
               </select>
          </mon:fixedColumn>
       <% } %>

   </mon:tableComponent>
   <script type="text/javascript">
        new CheckboxGroup("incidentWizardForm", "vsHandle", "selectAll");
   </script>
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>
