<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.oprisk.monitor.util.RequestDebug" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="java.util.*" %>

<mon:Page template="innerpopup">
<%
   //RequestDebug.printParamAndAttributes("", request);
   String pageId = StringUtil.escapeJSForHTMLAttribute((String)request.getAttribute("pageId"));
%>
   <mon:Head>
      
      <script type="text/javascript">
         function doSave(){
            var f = document.forms.savedViewForm;
            f.submit();
         }
         
         function cancelSavedViewDialog(){
            parent.closeSavedViewDialog();
         }
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="SavedView.do?method=save" >
         <mon:Content>
            <table>
            <tr>
               <td style="vertical-align:top; "><mon:label key="savedViews.views.name.txt" separatorVisible="true" requiredField="true" /></td>
               <td><mon:text size="40" property="viewName" /></td>
            </tr>
            <tr>
               <td style="vertical-align:top; "><mon:label key="savedViews.views.desc.txt" separatorVisible="true" /></td>
               <td><mon:textarea property="viewDesc" cols="75" rows="4" style="width:480px"></mon:textarea></td>
            </tr>
            </table>
            <br/>
            <input type="hidden" name="pageId" value="<%= pageId %>" />
            <input type="checkbox" name="defaultView" ><fmt:message key="savedViews.views.setDefault.txt" /></input>
         </mon:Content>
      </html:form>
      <mon:PopupButtonBar>
         <mon:Button name="save" onclick="javascript:doSave()">
            <fmt:message key='application.ok.txt' />
         </mon:Button>
         <mon:Button name="cancel" onclick="lockCommandButtons(); beginWait(); cancelSavedViewDialog();">
            <fmt:message key='application.cancel.txt' />
         </mon:Button>
      </mon:PopupButtonBar>
   </mon:Body>
   
</mon:Page>